Procura a plataforma Konfiwear antiga?Clique aqui para se registar no Legacy Konfiwear
KonfiwearKonfiwear
  • Preços
Web-to-Print3D Clothing ConfiguratorDirect-to-GarmentMockups de vestuário
Print-on-DemandPromotionalSportwearPackaging
Preços
FuncionalidadesBlogueDocumentaçãoReferência de APIRegisto de AlteraçõesLegacy Konfiwear
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
Newsletter

Descubra as mais recentes funcionalidades, melhorias e atualizações de produto da Konfiwear

Seja o primeiro a explorar novas capacidades, melhorias de desempenho e ferramentas concebidas para elevar o seu fluxo de trabalho.

Pode cancelar a subscrição a qualquer momento. Consulte a nossa política de privacidade para saber como tratamos os seus dados.

KonfiwearKonfiwear

A capacitar o seu negócio de vestuário personalizado com ferramentas avançadas de design 3D e integrações perfeitas.

Market & Industry
  • Print-on-Demand
  • Promotional
  • Sportwear
  • Packaging
Soluções
  • Web-to-Print
  • 3D Clothing Configurator
  • Direct-to-Garment
  • Mockups de vestuário
Recursos
  • Funcionalidades
  • Blogue
  • Documentação
  • Referência de API
  • Registo de Alterações
Empresa
  • Contacto
  • Kit de Imprensa

© Copyright 2026 Konfiwear V2. Todos os Direitos Reservados.

Política de PrivacidadeTermos de ServiçoPolítica de Cookies

Authentication

Every request to the Konfiwear API requires an API key. Keys are scoped to a single workspace and can be restricted to specific resources and access levels.

1. Generate an API Key

Navigate to Settings → API Keys in your workspace dashboard. Click Create API Key, choose a name, select the resource scopes you need, and set an optional expiration.

The full API key is shown exactly once at creation time. Copy it immediately and store it in a secure location (for example an environment variable or secrets manager).

Format: kfw_live_************************************

2. Authenticate Requests

Include your API key in the X-Api-Key header on every request. No other authentication headers are needed.

Base URL: https://api.konfiwear.com/api/v1
curl
curl -X GET 'https://api.konfiwear.com/api/v1/products' \
  -H 'X-Api-Key: kfw_live_your_key_here'
JavaScript
const response = await fetch('https://api.konfiwear.com/api/v1/products', {
  headers: {
    'X-Api-Key': process.env.KONFIWEAR_API_KEY,
  },
});

const { data, pagination } = await response.json();
API Reference

v1

  • Overview
  • Authentication
  • Error Handling
API Reference

v1

  • Overview
  • Authentication
  • Error Handling

Authentication

Every request to the Konfiwear API requires an API key. Keys are scoped to a single workspace and can be restricted to specific resources and access levels.

1. Generate an API Key

Navigate to Settings → API Keys in your workspace dashboard. Click Create API Key, choose a name, select the resource scopes you need, and set an optional expiration.

The full API key is shown exactly once at creation time. Copy it immediately and store it in a secure location (for example an environment variable or secrets manager).

Format: kfw_live_************************************

2. Authenticate Requests

Include your API key in the X-Api-Key header on every request. No other authentication headers are needed.

Base URL: https://api.konfiwear.com/api/v1
curl
curl -X GET 'https://api.konfiwear.com/api/v1/products' \
  -H 'X-Api-Key: kfw_live_your_key_here'
JavaScript
const response = await fetch('https://api.konfiwear.com/api/v1/products', {
  headers: {
    'X-Api-Key': process.env.KONFIWEAR_API_KEY,
  },
});

const { data, pagination } = await response.json();